Bug 183178 - CSS ::selection stroke-color and stroke-width are not applied to selected text in text fields and ::selection:window-inactive stroke-color and stroke-width are never applied
Summary: CSS ::selection stroke-color and stroke-width are not applied to selected tex...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-02-27 14:13 PST by Daniel Bates
Modified: 2018-03-01 14:38 PST (History)
7 users (show)

See Also:


Attachments
Patch and layout tests (16.07 KB, patch)
2018-02-27 14:23 PST, Daniel Bates
no flags Details | Formatted Diff | Diff
Patch and layout tests (20.19 KB, patch)
2018-02-27 14:33 PST, Daniel Bates
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (5.69 MB, application/zip)
2018-02-27 15:52 PST, Build Bot
no flags Details
Archive of layout-test-results from ews205 for win-future (12.85 MB, application/zip)
2018-02-27 16:38 PST, Build Bot
no flags Details
Archive of layout-test-results from ews206 for win-future (12.89 MB, application/zip)
2018-02-27 18:41 PST, Build Bot
no flags Details
Patch and layout tests (23.75 KB, patch)
2018-02-28 11:50 PST, Daniel Bates
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2018-02-27 14:13:51 PST
CSS ::selection stroke-color and stroke-width are not applied to selected text in text fields and ::selection:window-inactive stroke-color and stroke-width are never applied.
Comment 1 Daniel Bates 2018-02-27 14:23:05 PST
Created attachment 334705 [details]
Patch and layout tests
Comment 2 Daniel Bates 2018-02-27 14:33:32 PST
Created attachment 334706 [details]
Patch and layout tests
Comment 3 Build Bot 2018-02-27 15:52:36 PST Comment hidden (obsolete)
Comment 4 Build Bot 2018-02-27 15:52:38 PST Comment hidden (obsolete)
Comment 5 Build Bot 2018-02-27 16:38:12 PST Comment hidden (obsolete)
Comment 6 Build Bot 2018-02-27 16:38:24 PST Comment hidden (obsolete)
Comment 7 Build Bot 2018-02-27 18:41:11 PST Comment hidden (obsolete)
Comment 8 Build Bot 2018-02-27 18:41:22 PST Comment hidden (obsolete)
Comment 9 Daniel Bates 2018-02-28 11:50:35 PST
Created attachment 334756 [details]
Patch and layout tests
Comment 10 Dave Hyatt 2018-03-01 10:16:51 PST
Comment on attachment 334756 [details]
Patch and layout tests

r=me
Comment 11 Daniel Bates 2018-03-01 14:35:51 PST
Committed r229147: <https://trac.webkit.org/changeset/229147>
Comment 12 Radar WebKit Bug Importer 2018-03-01 14:38:24 PST
<rdar://problem/38041014>